Simulation Run Plan
Delete a run plan
Soft-deletes a simulation run plan by its ID.
DELETE
/
v1
/
simulation
/
plan
/
{planId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const simulationRunPlan = await client.simulationRunPlan.delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(simulationRunPlan.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
simulation_run_plan = client.simulation_run_plan.delete(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(simulation_run_plan.data)curl --request DELETE \
--url https://api.roark.ai/v1/simulation/plan/{planId} \
--header 'Authorization: Bearer <token>'
{
"data": {
"deleted": true
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Previous
List simulation plan jobsReturns a paginated list of simulation run plan jobs. Filter by status, plan ID, or label to find specific simulation batches.
Next
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const simulationRunPlan = await client.simulationRunPlan.delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(simulationRunPlan.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
simulation_run_plan = client.simulation_run_plan.delete(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(simulation_run_plan.data)